# !/usr/bin/python
# -*- coding: utf-8 -*-
# @Author:: Arthur Wu
# @Date:: 2024/10/24-14:39
# @Description::


def _assert_result(RspJson, ExpRespJson_c, LOGGER):
    try:
        if RspJson["msg"] == "成功":
            if ExpRespJson_c["msg"] == "成功":
                FailedCase = []
                if ExpRespJson_c["data"] not in ['', None, True, False, "true", "false"]:
                    if type(RspJson["data"]) == dict:
                        for key, expect_value in ExpRespJson_c['data'].items():
                            return_value = RspJson['data'][key]
                            if expect_value == return_value:
                                LOGGER.info(f"---接口返回体字段校验成功！\n"
                                    f"---待校验字段为：{key}，预期值为：{expect_value}，返回值为：{return_value}\n")
                            else:
                                LOGGER.error(f"---接口返回体字段校验失败！字段值不正确：\n"
                                    f"---待校验字段为：{key}，预期值为：{expect_value},返回值为：{return_value}\n")
                                FailedCase.append(f"字段-{key}-校验失败！")
                if FailedCase==[]:
                    return True
                else: return False
        elif RspJson["msg"] == "失败":
            if ExpRespJson_c["msg"] == "失败":
                return True
            else:
                LOGGER.error(f"---接口请求成功! 校验失败！接口返回信息：{RspJson['msg']}")
                return False
        elif ExpRespJson_c["msg"] == "请求参数错误":
            if RspJson["msg"] == "请求参数错误":
                return True
            else:
                LOGGER.error(f"---接口请求成功! 校验失败！接口返回信息：{RspJson['msg']}")
                return False
        else:
            LOGGER.error(f"---接口请求失败! 错误信息：{RspJson['msg']}")
            return False
    except AssertionError as e:
        LOGGER.error(f"---断言失败！错误信息：{e}")
        return False